package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadSbRtCommandResponse;

public class ReadSbRtCommand extends ReadMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6264729752332327429L;

	@Override
	public Class<ReadSbRtCommandResponse> getResponseClass() {
		return ReadSbRtCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询水泵累计运行时长命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READSBRUNTIME;
	}

}
